/*------ product item style start ------*/
.product-thumb {
    position: relative;
    text-align: center;
    background-color: $white;
    img {
        margin: auto;
    }
    .product-label {
        border-radius: 4px;
        color: #fff;
        font-size: 13px;
        font-weight: 400;
        left: 15px;
        line-height: 1;
        min-width: 46px;
        padding: 5px 10px 3px;
        text-align: center;
        position: absolute;
        text-transform: capitalize;
        &.new {
            background-color: $lebel-new;
        }
        &.discount {
            background-color: $lebel-discount;
        }
        &:nth-child(1) {
            top: 15px;
        }
        &:nth-child(2) {
            top: 45px;
        }
    }
    .product-action-link {
        top: 15px;
        right: 15px;
        position: absolute;
        a {
            color: $black-soft;
            width: 46px;
            height: 46px;
            font-size: 24px;
            line-height: 52px;
            text-align: center;
            margin-bottom: 10px;
            display: block;
            background-color: $white;
            border: 1px solid $bdr-color-dark;
            @include border-radius(50%);
            @include opacity(0);
            visibility: hidden;
            @include scale(0.7);
            &:hover {
                color: $white;
                background-color: $theme-color;
                border-color: $theme-color;
            }
            span {
                display: block;
            }
        }
    }
}
.product-item {
    @include transition;
    .product-description {
        position: relative;
        padding: 15px 0 20px;
        background-color: transparent;
        @include transition;
        .manufacturer {
            a {
                color: #a9a9a9;
                font-size: 14px;
                font-weight: 400;
                line-height: 20px;
                text-transform: capitalize;
                &:hover {
                    color: $theme-color;
                }
            }
        }
        .product-name {
            h3 {
                font-size: 16px;
                font-weight: 600;
                line-height: 20px;
                text-transform: uppercase;
                padding-top: 5px;
                padding-bottom: 15px;
                a {
                    color: $black-soft;
                    &:hover {
                        color: $theme-color;
                    }
                }
            }
        }
        .price-box {
            padding-bottom: 23px;
            .regular-price {
                color: $black-soft;
                font-size: 18px;
                line-height: 20px;
                font-weight: 400;
            }
            .old-price {
                color: #a9a9a9;
                font-size: 16px;
                font-weight: 400;
                padding-left: 5px; 
            }
        }
        .hover-box {
            top: 90%;
            left: 0;
            width: 100%;
            padding-bottom: 8px;
            position: absolute;
            background-color: $white;
            @include transition;
            @include opacity(0);
            visibility: hidden;
            z-index: 11;
            box-shadow: 0 5px 7px 0 rgba(0,0,0,.1);
        }
    }
    // hover effect
    &:hover {
        box-shadow: 0 0 7px 0 rgba(0,0,0,.1);
        .product-description {
            background-color: $white;
            .hover-box {
                top: 100%;
                @include opacity(1);
                visibility: visible;
            }
        }
        .product-action-link {
            a {
                @include scale(1);
                @include opacity(1);
                visibility: visible;
            }
        }
    }
    // black bg style
    &.item-black {
        .product-thumb {
            background-color: #1f1f2b;
        }
        .product-name {
            h3 {
                a {
                    color: $white;
                }
            }
        } 
        .price-box {
            padding-bottom: 0;
            .regular-price {
                color:#a9a9a9;
            }
            .old-price {
                color: #666;
            }
        }
        .hover-box {
            background-color: #1f1f2b;
            .ratings {
                padding-top: 8px;
            }
        }
        &:hover {
            .product-description  {
                background-color: #1f1f2b;
                .hover-box {
                    top: 100%;
                }
            }
        }
    }
}

// slick carousel top bottom padding
.spt {
    &.slick-slider {
        margin-top: -10px;
    }
    .slick-list {
        padding-top: 10px;
        padding-bottom: 45px;
        // responsive
        @media #{$large-mobile} {
            padding-bottom: 20px;
        }
    }
}
.slick-slider {
    &.spt-2 {
        margin-top: -10px;
        overflow: hidden;
        &.hover {
            z-index: 9999;
            overflow-x: hidden;
            padding-bottom: 80px;
            margin-bottom: -80px;
            & .slick-list {
                overflow: visible;
            }
        }
        .slick-list {
            padding-top: 10px;
        }
    }
}
.tab-pane {
    &.hover {
        overflow-x: hidden;
    }
}
/*------ product item style end ------*/

/*------ product list item start ------*/
.product-list-item {
    @include flexbox;
    padding: 15px;
    border: 1px solid #ededed;
    @include border-radius(8px);
    // Responsive
    @media #{$small-mobile} {
        display: block !important;
    }
    .product-thumb {
        width: 240px;
        flex: 1 0 auto;
        max-height: 285px;
        border: 1px solid $bdr-color;
        // Responsive
        @media #{$large-mobile} {
            width: 170px;
            flex: 1 0 auto;
            max-height: 200px;
        }
        // Responsive
        @media #{$small-mobile} {
            display: block;
            width: 100%;
            max-height: 100%;
        }
    }
    &:hover {
        .product-action-link {
            a {
                @include scale(1);
                @include opacity(1);
                visibility: visible;
            }
        }
    }
}
.product-list-content {
    padding-left: 30px;
    // Responsive
    @media #{$small-mobile} {
        padding-left: 0;
        margin-top: 30px;
    }
    h4 {
        font-size: 14px;
        font-weight: 400;
        line-height: 20px;
        padding-bottom: 8px;
        text-transform: capitalize;
        a {
            color: #a9a9a9;
            &:hover {
                color: $theme-color;
            }
        }
    }
    h3 {
        font-size: 24px;
        font-weight: 600;
        line-height: 28px;
        text-transform: capitalize;
        // Responsive
        @media #{$large-mobile} {
            font-size: 20px;
            line-height: 24px;
        }
        a {
            color: $black-soft;
            &:hover {
                color: $theme-color;
            }
        }
    }
    .pricebox {
        padding-top: 8px;
        .regular-price {
            color: $black-soft;
            font-size: 22px;
            font-weight: 600;
            line-height: 28px;
            // Responsive
            @media #{$large-mobile} {
                font-size: 18px;
                line-height: 22px;
            }
        }
        .old-price {
            color: $paragraph-light;
            font-size: 18px;
            line-height: 24px;
            padding-left: 5px;
        }
    }
    p {
        color: $paragraph;
        padding-top: 15px;
        padding-bottom: 15px;
        // responsive
        @media #{$extra-small-mobile} {
            padding-top: 8px;
        }
    }
}
/*------ product list item end ------*/
